public class JavaClass {
  public void people(final java.util.List<String> names) {
    System.out.println("Received " + names.size() + " names ");
  }
  
  public <T> T receiveBlock(java.util.concurrent.Callable<T> block) throws Exception {
    System.out.println("Calling block");
    return block.call();
  }
  
  public void yield() {
    System.out.println("yeild called");
  }
  
  public void def() {
    System.out.println("def called");
  }
}